[OT] Strace

Ken Moffat ken at linuxfromscratch.org
Tue Oct 25 04:05:02 PDT 2005


On Tue, 25 Oct 2005, Duncan Webb wrote:

> I know this is off topic, so don't shout at me...
>
> I was trying to build strace-4.5.12 under x86_64 but it has compilation 
> problems. Attached is a patch, taken from gentoo that fixes there.
>
> Regards,
> Duncan
>

  Blimey, it's a bit big, isn't it ;)  I've got a somewhat shorter patch 
http://www.kenmoffat.uklinux.net/patches/strace-4.5.12-quota_fixes-1.patch

- can't remember if I've tested it on x86_64-64 (thought I had, but 
maybe not), it's to address the problem caused by using a glibc snapshot 
which knows about the second version of LINUX_QUOTA_VERSION.  I haven't 
submitted mine to patches@ because strace was tagged for 4.5.13, so I'm 
expecting it to be released soon.  Does x86_64 have other problems with 
strace ?

  My rule of thumb for Beyond-Cross-LFS, at the moment, is to mention 
issues on blfs-support.

Ken
-- 
  das eine Mal als Tragödie, das andere Mal als Farce


More information about the lfs-dev mailing list